% Dados Constantes:

% Cp's em cal/gmol C
cpliq1=25.3;  % c3h8
cpliq2=31.9;  % c4h10
cpliq3=36.9;  % c5h12

cpvap1=17.4;  % c3h8
cpvap2=23.1;  % c4h10
cpvap3=28.5;  % c5h12

% DeltaHvap em cal/gmol
deltahvap1=3600;  % c3h8
deltahvap2=5025;  % c4h10
deltahvap3=5870;   % c5h12


% Dados correntes:

z1=0.40;
z2=0.35;
z3=0.25;
T1=66; % em Celsius
T1=18.8888; % em Farenheit 
W1=40; % gmol / hora

y1=0.077;
y2=0.185;
y3=0.750;
T2=130; % em Celsius
T2=54.4444; % em Farenheit
W2=60;  % gmol / hora

x1=0.083;
x2=0.151;
x3=0.775;
T3=157; % em Celsius
T3=69.44444; %em Farenheit
W3=80;  % gmol / hora


w1=0.30;
w2=0.25;
w3=0.45;
T4=130; % em Celsius
T4=54.44444; %em Farenheit
W4=60;  % gmol / hora




% Corrente liquida:
H1=(z1*cpliq1*(T1-25) ) + ( z2*cpliq2*(T1-25) ) + ( z3*cpliq3*(T1-25) )
H2=(y1*cpliq1*(T2-25) ) + ( y2*cpliq2*(T2-25) ) + ( y3*cpliq3*(T2-25) )

% Corrente vapor:
H3=(x1*deltahvap1) + ( x1*cpliq1*(T3-25) ) +    (x2*deltahvap2) + ( x2*cpliq2*(T3-25) ) + (x3*deltahvap1) + ( x3*cpliq3*(T3-25) )
H4=(w1*deltahvap1) + ( w1*cpliq1*(T3-25) ) +    (w2*deltahvap2) + ( w2*cpliq2*(T3-25) ) + (w3*deltahvap1) + ( w3*cpliq3*(T3-25) )

% Calculo do calor:
Q= (W2*H2)+(W4*H4)-(W1*H1)-(W3*H3)