%
% Ponto de Orvalho (dew point):
% 
% Ref: Henley e Seader 
%      pag 283

clear all
close all
clc
warning off

%Valores especificados:
Pvetor=60;  % Pressao (psia)

z1=0.30;  % composicao da alimentacao propano subst 64
z2=0.25;  % composicao da alimentacao isobutano subst 86
z3=0.45;  % composicao da alimentacao isopentando subst 103


% Inicializando parametros
i=1;
Tfvetor=[];
Xvetor=[];


% Loop para cada temperatura:
while (i<=length(Pvetor)),

    %Parametros para a funcao
    Pf=Pvetor(i);
    par=[Pf, z1, z2, z3];

    Tfinal = fzero('funcaoexerc4b', 700, [],par);
    
    load resultado
    Xvetor=[Xvetor; X];
    Tfvetor=[Tfvetor; Tfinal];

    i=i+1;
end


Tfvetor
Pf
Xvetor