%
% Ponto de Bolha (bubble point):
% 
% Ref: Henley e Seader 
%      pag 282

clear all
clc
close all
warning off

%Valores especificados:
Pfvetor=60; %pressao do flash

z1=0.40;  % composicao da alimentacao propano subst 64
z2=0.35;  % composicao da alimentacao isobutano subst 86
z3=0.25;  % composicao da alimentacao isopentano subst 103

% Inicializando parametros
i=1;
Tvetor=[];
Yvetor=[];


% Loop para cada temperatura:
while (i<=length(Pfvetor)),
    
    %Parametros para a funcao
    Pf=Pfvetor(i);
    par=[Pf, z1, z2, z3];

    Tfinal = fzero('funcaoexerc4', 65, [],par);
    
    load resultado
    Yvetor=[Yvetor; Y];
    Tvetor=[Tvetor; Tfinal]; %em psia

    i=i+1;
end

Tvetor
Pfvetor
Yvetor
