%
% Ponto de Bolha (bubble point):
% 
% Ref: Henley e Seader 
%      pag 282

clear all
clc
close all
warning off

%Valores especificados:
Pvetor=60;  % pressao (psi)

z1=0.0673;  % composicao da alimentacao propano subst 64
z2=0.1343;  % composicao da alimentacao isobutano subst 86
z3=0.7984;  % composicao da alimentacao isopentano subst 103


% Inicializando parametros
i=1;
Tfvetor=[];
Yvetor=[];


% Loop para cada temperatura:
while (i<=length(Pvetor)),
    
    %Parametros para a funcao
    P=Pvetor(i);
    par=[P, z1, z2, z3];

    Tfinal = fzero('funcaoexerc4c', 65, [],par);
    
    load resultado
    Yvetor=[Yvetor; Y];
    Tfvetor=[Tfvetor; Tfinal]; %em psia

    i=i+1;
end

Tfvetor
Pvetor
Yvetor
