%
% Ponto de Orvalho (dew point):
% 
% Ref: Henley e Seader 
%      pag 283

clear all
close all
clc
warning off

%Valores especificados:
Pvetor=60;  % pressao (psia)
z1=0.083;  % composicao da alimentacao propano subst 64
z2=0.151;  % composicao da alimentacao isobutano subst 86
z3=0.775;  % composicao da alimentacao isopentando subst 103


% Inicializando parametros
i=1;
Tvetor=[];
Xvetor=[];


% Loop para cada temperatura:
while (i<=length(Pvetor)),

    %Parametros para a funcao
    P=Pvetor(i);
    par=[P, z1, z2, z3];

    Tfinal = fzero('funcaoexerc4d', 700, [],par);
    
    load resultado
    Xvetor=[Xvetor; X];
    Tvetor=[Tvetor; Tfinal];

    i=i+1;
end


Tvetor
Pvetor
Xvetor